Bug 20223 - Merge members-menu and circ-menu inc files
Summary: Merge members-menu and circ-menu inc files
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 18789
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-16 07:41 UTC by Josef Moravec
Modified: 2019-10-14 19:58 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20223: Merge members-menu and circ-menu inc files (4.37 KB, patch)
2018-06-29 14:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20223: Merge members-menu and circ-menu inc files (4.45 KB, patch)
2018-09-04 15:47 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20223: Merge members-menu and circ-menu inc files (4.50 KB, patch)
2018-09-14 12:32 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 20223: Merge members-menu and circ-menu inc files (4.59 KB, patch)
2018-09-21 21:30 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2018-02-16 07:41:52 UTC
We have two similer patron menus in templates, almost everywhere is used circ-menu.inc.

Only when editing patron record, the members-menu.inc is used. It means the menu items are not compete, because members-menu is not synchronized with updates of circ-menu.

There is also reference to members-menu in member.tt template (the template used in patron search ) which is probably never taken into effect.
Comment 1 Owen Leonard 2018-06-29 14:41:36 UTC
Created attachment 76575 [details] [review]
Bug 20223: Merge members-menu and circ-menu inc files

This patch removes members-menu.inc and replaces the last functional use
of it with a call to circ-menu.inc.

An invalid use of members-menu.inc has been removed from member.tt.

To test, apply the patch and open a patron record for editing. The
sidebar menu should look correct and all sidebar links should work
correctly.

View the patrons home page and confirm that nothing has broken.

Search the Koha codebase for references to members-menu.inc. There
should be none.
Comment 2 Owen Leonard 2018-09-04 15:47:09 UTC
Created attachment 78411 [details] [review]
Bug 20223: Merge members-menu and circ-menu inc files

This patch removes members-menu.inc and replaces the last functional use
of it with a call to circ-menu.inc.

An invalid use of members-menu.inc has been removed from member.tt.

To test, apply the patch and open a patron record for editing. The
sidebar menu should look correct and all sidebar links should work
correctly.

View the patrons home page and confirm that nothing has broken.

Search the Koha codebase for references to members-menu.inc. There
should be none.
Comment 3 Michal Denar 2018-09-14 12:32:29 UTC
Created attachment 78647 [details] [review]
Bug 20223: Merge members-menu and circ-menu inc files

This patch removes members-menu.inc and replaces the last functional use
of it with a call to circ-menu.inc.

An invalid use of members-menu.inc has been removed from member.tt.

To test, apply the patch and open a patron record for editing. The
sidebar menu should look correct and all sidebar links should work
correctly.

View the patrons home page and confirm that nothing has broken.

Search the Koha codebase for references to members-menu.inc. There
should be none.

Michal Denar Signed-off-by:  <black23@gmail.com>
Comment 4 Jonathan Druart 2018-09-21 21:30:02 UTC
Created attachment 79261 [details] [review]
Bug 20223: Merge members-menu and circ-menu inc files

This patch removes members-menu.inc and replaces the last functional use
of it with a call to circ-menu.inc.

An invalid use of members-menu.inc has been removed from member.tt.

To test, apply the patch and open a patron record for editing. The
sidebar menu should look correct and all sidebar links should work
correctly.

View the patrons home page and confirm that nothing has broken.

Search the Koha codebase for references to members-menu.inc. There
should be none.

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2018-09-21 21:31:02 UTC
Changing to bugfix.
Comment 6 Jonathan Druart 2018-09-21 21:34:57 UTC
Found bug 21397 while testing.
Comment 7 Nick Clemens 2018-09-26 19:26:47 UTC
Awesome work all!

Pushed to master for 18.11
Comment 8 Martin Renvoize 2018-09-27 12:21:01 UTC
Pushed to 18.05.x for 18.05.05
Comment 9 Fridolin SOMERS 2018-10-03 11:55:08 UTC
Depends on Bug 18789 not in 17.11.x